tigase.server.xmppserver.proc

## Class StreamError

- java.lang.Object
- - tigase.server.xmppserver.proc.S2SAbstractProcessor
  - - tigase.server.xmppserver.proc.StreamError

- All Implemented Interfaces:
    Comparable<S2SProcessor>, S2SProcessor

      public class StreamError
      extends S2SAbstractProcessor

  Created: Dec 9, 2010 2:00:08 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

      `S2SAbstractProcessor.Order`

  - ### Field Summary

    - ### Fields inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

      `DB_RESULT_EL_NAME, DB_VERIFY_EL_NAME, DIALBACK_EL, DIALBACK_NS, FEATURES_DIALBACK_PATH, FEATURES_EL, FEATURES_NS, FEATURES_STARTTLS_PATH, FORCE_VERSION, handler, PROCEED_TLS_EL, RESULT_EL_NAME, START_TLS_EL, START_TLS_NS, STREAM_FEATURES_EL, VERIFY_EL_NAME, VERSION_ATT_NAME, XMLNS_CLIENT_VAL, XMLNS_DB_ATT, XMLNS_DB_VAL, XMLNS_SERVER_VAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamError()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `order()` Returns order of processor which is used to set order in which processors will be processing packet
    `boolean` | `process(Packet p, S2SIOService serv, Queue<Packet> results)`

    - ### Methods inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

      `compareTo, generateStreamError, init, serviceStarted, serviceStopped, skipTLSForHost, streamClosed, streamFeatures, streamOpened`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamError

          public StreamError()

  - ### Method Detail

    - #### order

          public int order()

      Description copied from interface: `S2SProcessor`
      Returns order of processor which is used to set order in which processors will be processing packet
      Returns:

    - #### process

          public boolean process(Packet p,
                                 S2SIOService serv,
                                 Queue<Packet> results)

      Specified by:
        `process` in interface `S2SProcessor`
      Overrides:
        `process` in class `S2SAbstractProcessor`

Copyright © 2022 "Tigase, Inc.". All rights reserved.